Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 497600 - dev-lisp/clisp-2.48-r1 with sys-libs/ncurses[tinfo] - configure: checking for library containing tgetent... no
Summary: dev-lisp/clisp-2.48-r1 with sys-libs/ncurses[tinfo] - configure: checking for...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Common Lisp Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2014-01-09 01:17 UTC by Robert Penny
Modified: 2014-10-28 21:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Penny 2014-01-09 01:17:58 UTC
The clisp package (as a prerequisite for wxmaxima) is failing during the configure stage when ncurses has been installed with the +tinfo use flag. I have tried the following versions with identical results.

dev-lisp/clisp-2.48-r1
dev-lisp/clisp-2.48-r2
dev-lisp/clisp-2.49-r8

This is building against ncurses version sys-libs/ncurses-5.9-r2

The configure fails with:

configure: ** checks for libraries
checking for library containing tgetent... no
configure: error: in `/var/tmp/portage/dev-lisp/clisp-2.48-r1/work/clisp-2.48/builddir':
configure: error: despite --with-readline, GNU readline was not found (try --with-libreadline-prefix)
See `config.log' for more details.

Burying down to config.log:

 /var/tmp/portage/dev-lisp/clisp-2.48-r1/work/clisp-2.48/builddir/config.log

...
configure:52570: checking for library containing tgetent
configure:52611: gcc -o conftest -march=corei7 -O2 -pipe -Wa,--noexecstack -I/usr/include/db4.5  -Wl,-O1 -Wl,--sort-common -Wl,--as-needed conftest.c -ldl /usr/lib64/libavcall.a /usr/lib64/libcallback.a >&5
/var/tmp/portage/dev-lisp/clisp-2.48-r1/temp/ccExu3zn.o: In function `main':
conftest.c:(.text.startup+0x7): undefined reference to `tgetent'
collect2: error: ld returned 1 exit status

... and ...

configure:52611: gcc -o conftest -march=corei7 -O2 -pipe -Wa,--noexecstack -I/usr/include/db4.5  -Wl,-O1 -Wl,--sort-common -Wl,--as-needed conftest.c -lncurses  -ldl /usr/lib64/libavcall.a /usr/lib64/libcallback.a >&5
/var/tmp/portage/dev-lisp/clisp-2.48-r1/temp/ccS810kt.o: In function `main':
conftest.c:(.text.startup+0x7): undefined reference to `tgetent'
collect2: error: ld returned 1 exit status
...

The build succeeds on a different system that does not have the +tinfo flag set on the ncurses installation.

Checking the contents of the libraries, it can be seen that the tgetent symbol being tested for 

rob@TK-421 ~ $ nm -D /lib64/libncurses.so.5.9 | grep tgetent
rob@TK-421 ~ $ nm -D /lib64/libtinfo.so.5.9 | grep tgetent
0000000000014780 T _nc_tgetent_leaks
0000000000013ed0 T tgetent

On the system without +tinfo, tgetent is in the ncurses shared library:

rob@mrroboto ~ $ nm -D /lib64/libncurses.so.5.9 | grep tgetent
000000000002f9d0 T _nc_tgetent_leaks
000000000002f120 T tgetent

Unfortunately, I need the tinfo flag set for cuda development.

# required by dev-util/nvidia-cuda-toolkit-5.0.35-r3[debugger], 
# required by nvidia-cuda-toolkit (argument)
>=sys-libs/ncurses-5.9-r2 tinfo

This may be an upstream problem as it seems that that it should be fixed at the autoconf level for the clisp source package.

Many thanks!

-Rob.

*******************************************************************************************

rob@TK-421 ~ $ emerge --info
WARNING: One or more repositories have missing repo_name entries:

	/usr/local/overlay/profiles/repo_name

NOTE: Each repo_name entry should be a plain text file containing a
unique name for the repository on the first line.


Portage 2.3.5-r8 (default/linux/amd64/13.0/desktop/gnome, gcc-4.7.3, glibc-2.15-r4, 3.4.34-gentoo x86_64)
=================================================================
System uname: Linux-3.4.34-gentoo-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.2.0
KiB Mem:    32845540 total,  29911328 free
KiB Swap:   16383992 total,  16383992 free
Timestamp of tree: Unknown
ld GNU ld (GNU Binutils) 2.23.1
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45-r1::funtoo-overlay
dev-java/java-config:     2.1.12-r1000::progress
dev-lang/python:          2.6.8-r1000::progress, 2.7.7_pre20131124::progress, 3.1.5-r1000::progress, 3.2.5-r1000::progress, 3.3.4_pre20131124::progress
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.11.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2.0-r4::funtoo-overlay
sys-apps/openrc:          0.12.3-r1::funtoo-overlay
sys-apps/sandbox:         2.6-r2::funtoo-overlay
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.15-r4::funtoo-overlay
Repositories: gentoo java-overlay funtoo-overlay progress x-overlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.iawnet.sandia.gov/pub/gentoo/ http://mirror.iawnet.sandia.gov/gentoo/ http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ ftp://gentoo.mirrors.tds.net/gentoo ftp://mirror.iawnet.sandia.gov/pub/gentoo/ ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--as-needed"
MAKEOPTS="-j13"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/java-overlay /var/lib/layman/funtoo-overlay /var/lib/layman/progress /usr/local/overlay"
SYNC="git://github.com/funtoo/ports-2012.git"
SYNC_USER="root"
USE="X a52 aac acl acpi alac alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli colord consolekit cracklib crypt cups cxx dbus device-mapper dmraid dri dts dvd dvdr dvdread eds emboss encode evo exif fam firefox flac fortran gdbm gif git gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv introspection ipv6 jpeg lame lcms ldap libnotify libsecret mad mdadm mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd pulseaudio python qt3support qt4 readline sdl session socialweb spell sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification subversion svg tcpd tiff truetype udev udisks unicode upower usb vorbis wavpack win32codecs wxwidgets x264 xcb xml xorg xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse wacom synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, SYNC_UMASK
Comment 1 Christian Kotz 2014-08-22 10:25:36 UTC
same happens here:
dev-lisp/clisp-2.49-r8
Comment 2 Jeroen Roovers gentoo-dev 2014-10-28 21:43:45 UTC
Fixed in 2.49-r8 (no revision bump).

The additional patch that I didn't put in is:

--- a/src/m4/termcap.m4
+++ b/src/m4/termcap.m4
@@ -30,7 +30,7 @@
 fi
 LIBTERMCAP="broken"
 INCTERMCAP=""
-AC_SEARCH_LIBS(tgetent, ncurses termcap, LIBTERMCAP="")
+AC_SEARCH_LIBS(tgetent, tinfo ncurses termcap, LIBTERMCAP="")
 if test x$termcap_prefix != x; then
   LDFLAGS=$LDFLAGS_save
   if test x$LIBTERMCAP != xbroken; then

since autoreconf fails horribly and I didn't want to find out why.